Bug 1420745 - [aaa-ldap-setup] No validation on profile names when using config file
Summary: [aaa-ldap-setup] No validation on profile names when using config file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-extension-aaa-ldap
Classification: oVirt
Component: Core
Version: master
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: 1.3.1
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 12:58 UTC by Gonza
Modified: 2017-04-21 09:54 UTC (History)
4 users (show)

Fixed In Version: ovirt-engine-extension-aaa-ldap-1.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:54:06 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 72043 0 None None None 2017-02-09 16:49:12 UTC

Description Gonza 2017-02-09 12:58:27 UTC
Description of problem:
When running ovirt-engine-extension-aaa-ldap-setup with a config file with a bad profile name, there is no validation to inform the user that the profile does not match any of the existing.

Version-Release number of selected component (if applicable):
ovirt-engine-extension-aaa-ldap-setup-1.3.1-0.0.master.20170115190508.gitda48d9d.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a config file with the following contents:
[environment:default]
OVAAALDAP_LDAP/profile=str:bad_profile

2. Execute:
ovirt-engine-extension-aaa-ldap-setup --config=setup.conf

3. Manually input following values

Actual results:
Setup tool is executed successfully

Expected results:
Setup tool reports bad profile

Additional info:
Valid profile names:
ad
389ds
isds
ipa
iplanet
openldap
rfc2307-generic
rfc2307-389ds
rfc2307-isds
rfc2307-rhds
rfc2307-edir
rfc2307-openldap
rfc2307-rhds

Comment 1 Martin Perina 2017-02-20 09:51:39 UTC
Fix is contained in ovirt-engine-extension-aaa-ldap-1.3.1

Comment 2 Gonza 2017-04-03 13:41:03 UTC
Verified with:
ovirt-engine-extension-aaa-ldap-setup-1.3.1-1.el7ev.noarch

[ ERROR ] Failed to execute stage 'Environment customization': Profile bad_profile was not found.


Note You need to log in before you can comment on or make changes to this bug.